{
  "spider": "./fix.jar",
  "lives": [
    {
      "name": "live",
      "type": 0,
      "url": "https://codeberg.org/xmbjm/xmbjmjk/raw/branch/main/lives/live.txt",
      "epg": "http://epg.112114.xyz/?ch={name}&date={date}"
    }
  ],
  "sites": [
    {
      "key": "光影资源",
      "name": "光影☀资源",
      "type": 0,
      "api": "https://xzcjz.com/api.php/provide/vod/at/xml",
      "searchable": 1,
      "quickSearch": 1
    },
    {
      "key": "最大资源",
      "name": "最大🏠影库",
      "type": 1,
      "api": "https://api.zuidapi.com/api.php/provide/vod/from/zuidam3u8/",
      "playUrl": "",
      "searchable": 1,
      "quickSearch": 1
    },
    {
      "key": "高速",
      "name": "高速🚘资源",
      "type": 3,
      "api": "csp_AppYsV2",
      "searchable": 1,
      "quickSearch": 1,
      "filterable": 1,
      "ext": "https://www.gsjtlxy.top/xgapp.php/v3/"
    },
    {
      "key": "zy_新浪",
      "name": "新浪🏄🏻资源",
      "type": 1,
      "api": "https://api.xinlangapi.com/xinlangapi.php/provide/vod/",
      "searchable": 1,
      "quickSearch": 1,
      "filterable": 0,
      "categories": [
        "动漫",
        "综艺",
        "纪录片",
        "动作片",
        "爱情片",
        "科幻片",
        "战争片",
        "剧情片",
        "恐怖片",
        "喜剧片",
        "大陆剧",
        "港澳剧",
        "台湾剧",
        "欧美剧",
        "动漫电影",
        "韩剧",
        "日剧",
        "泰剧",
        "体育"
      ]
    },
    {
      "key": "49zy",
      "name": "狮鹫🦁资源",
      "type": 1,
      "api": "https://49zyw.com/api.php/provide/vod/?ac=list",
      "searchable": 1,
      "quickSearch": 1,
      "filterable": 1,
      "changeable": 1,
      "categories": [
        "国产剧",
        "纪录片",
        "欧美剧",
        "香港剧",
        "动作片",
        "爱情片",
        "科幻片",
        "恐怖片",
        "剧情片",
        "战争片",
        "喜剧片",
        "动画片",
        "犯罪片",
        "韩国剧",
        "动漫",
        "电影",
        "大陆综艺",
        "港台综艺",
        "日韩综艺",
        "欧美综艺",
        "台湾剧",
        "国产动漫",
        "日本动漫",
        "欧美动漫",
        "泰国剧",
        "日剧",
        "电影解说",
        "奇幻片",
        "灾难片",
        "悬疑片",
        "其他片",
        "体育赛事",
        "海外剧"
      ]
    },
    {
      "key": "快车资源",
      "name": "快车🚘云播",
      "type": 1,
      "api": "https://caiji.kczyapi.com/api.php/provide/vod/",
      "searchable": 1,
      "quickSearch": 1,
      "categories": [
        "国产剧",
        "战争片",
        "动作片",
        "香港剧"
      ]
    },
    {
      "key": "光速资源",
      "name": "光速☄云播",
      "type": 1,
      "api": "https://api.guangsuapi.com/api.php/provide/vod/",
      "searchable": 1,
      "quickSearch": 1,
      "categories": [
        "大陆剧",
        "港澳剧",
        "综艺",
        "动漫"
      ]
    },
    {
      "key": "csp_非凡资源",
      "name": "非凡🥗资源",
      "type": 1,
      "api": "http://cj.ffzyapi.com/api.php/provide/vod/",
      "playurl": "json:http://jx.84jia.com/m3u8ts.php?url=",
      "searchable": 1,
      "quickSearch": 1,
      "filterable": 1,
      "categories": [
        "动作片",
        "喜剧片",
        "科幻片",
        "恐怖片",
        "爱情片",
        "剧情片",
        "战争片",
        "记录片",
        "国产剧",
        "欧美剧",
        "香港剧",
        "韩国剧",
        "台湾剧",
        "日本剧",
        "海外剧",
        "泰国剧",
        "国产动漫",
        "日韩动漫",
        "欧美动漫",
        "港台动漫",
        "海外动漫",
        "大陆综艺",
        "港台综艺",
        "日韩综艺",
        "欧美综艺"
      ]
    },
    {
      "key": "csp_xml_享看",
      "name": "享看🌝云播",
      "type": 1,
      "searchable": 1,
      "quickSearch": 1,
      "filterable": 1,
      "api": "https://xkanzy10.com/api.php/provide/vod"
    },
    {
      "key": "暴风采集",
      "name": "暴风🚄影音",
      "type": 1,
      "api": "https://app.bfzyapi.com/api.php/provide/vod/",
      "playUrl": "",
      "categories": [
        "国产剧",
        "国产动漫",
        "动作片",
        "科幻片",
        "剧情片",
        "喜剧片",
        "爱情片",
        "恐怖片",
        "战争片",
        "香港剧",
        "台湾剧",
        "日本剧",
        "欧美剧",
        "泰国剧",
        "日本动漫",
        "综艺频道",
        "大陆综艺",
        "港台综艺",
        "日本综艺",
        "新马泰综艺",
        "纪录片"
      ]
    },
    {
      "key": "csp_MeiJu69",
      "name": "六九🗽美剧",
      "type": 3,
      "api": "csp_AppYsV2",
      "searchable": 1,
      "quickSearch": 1,
      "filterable": 1,
      "ext": "https://www.69mj.com/xgapp.php/v2/"
    },
    {
      "key": "csp_beijihu",
      "name": "极狐🎪影视",
      "type": 3,
      "api": "csp_AppYsV2",
      "searchable": 1,
      "quickSearch": 1,
      "filterable": 1,
      "ext": "https://www.kuin.one/api.php/app/"
    },
    {
      "key": "Kuaikan",
      "name": "快看👁️‍🗨️影视",
      "type": 3,
      "api": "csp_Kuaikan",
      "searchable": 1,
      "quickSearch": 1,
      "filterable": 1
    },
    {
      "key": "巧技一",
      "name": "巧技🚆源一",
      "type": 3,
      "api": "csp_qiao2",
      "playerType": 1,
      "ext": "https://jihulab.com/qiaoji/open/-/raw/main/qiaoji1"
    },
    {
      "key": "巧技二",
      "name": "巧技🚆源二",
      "type": 3,
      "api": "csp_qiao2",
      "playerType": 1,
      "ext": "https://jihulab.com/qiaoji/open/-/raw/main/qiaoji2"
    },
    {
      "key": "巧技三",
      "name": "巧技🚆源三",
      "type": 3,
      "api": "csp_qiao2",
      "playerType": 1,
      "ext": "https://jihulab.com/qiaoji/open/-/raw/main/qiaoji3"
    },
    {
      "key": "巧技四",
      "name": "巧技🚆源四",
      "type": 3,
      "api": "csp_qiao2",
      "playerType": 1,
      "ext": "https://jihulab.com/qiaoji/open/-/raw/main/qiaoji4"
    },
    {
      "key": "tvbsk",
      "name": "TVB🦋云播",
      "type": 3,
      "api": "csp_Skapp",
      "playerType": 1,
      "ext": "https://jihulab.com/qiaoji/open/-/raw/main/tvbyb"
    },
    {
      "key": "sliu_spider",
      "name": "石榴🍭影视",
      "api": "csp_ShiLiuDY",
      "type": 3,
      "filterable": 1,
      "playerType": 1,
      "quickSearch": 1,
      "searchable": 1,
      "ext": ""
    },
    {
      "key": "天天",
      "name": "天天🎡影视",
      "type": 3,
      "api": "csp_TTian",
      "playerType": 1,
      "ext": "http://op.ysdqjs.cn"
    },
    {
      "key": "星星",
      "name": "星星✨影视",
      "type": 3,
      "api": "csp_qiao",
      "playerType": 1,
      "ext": "https://jihulab.com/qiaoji/open/-/raw/main/xingxing"
    },
    {
      "key": "超神",
      "name": "超神┃✨App",
      "type": 3,
      "api": "csp_qiao",
      "searchable": 1,
      "quickSearch": 1,
      "playerType": 2,
      "filterable": 1,
      "ext": "https://jihulab.com/qiaoji/open/-/raw/main/chaoshen"
    },
    {
      "key": "欣欣",
      "name": "欣欣✨┃App",
      "type": 3,
      "api": "csp_qiao2",
      "searchable": 1,
      "quickSearch": 1,
      "playerType": 2,
      "filterable": 1,
      "ext": "https://jihulab.com/qiaoji/open/-/raw/main/xinxin"
    },
    {
      "key": "看看",
      "name": "看看👁️‍🗨️┃App",
      "type": 3,
      "api": "csp_KanKan",
      "searchable": 1,
      "quickSearch": 1,
      "filterable": 0
    },
    {
      "key": "飘零影院",
      "name": "飘零🍂影院",
      "type": 1,
      "api": "https://p2100.net/api.php/provide/vod/",
      "searchable": 1,
      "quickSearch": 1,
      "filterable": 0
    },
    {
      "key": "CK资源",
      "name": "CK 🐝资源",
      "type": 1,
      "api": "https://ckzy.me/api.php/provide/vod/",
      "playUrl": "",
      "searchable": 1,
      "quickSearch": 1
    },
    {
      "key": "红牛资源",
      "name": "红牛🐂资源",
      "type": 1,
      "api": "https://www.hongniuzy2.com/api.php/provide/vod/",
      "playUrl": "",
      "searchable": 1,
      "quickSearch": 1
    },
    {
      "key": "飞速资源",
      "name": "飞速🚘采 1",
      "type": 1,
      "api": "https://m3u8.feisuzyapi.com/api.php/provide/vod/",
      "playUrl": "",
      "searchable": 1,
      "quickSearch": 1
    },
    {
      "key": "飞速资源2",
      "name": "飞速💫采 2",
      "type": 1,
      "api": "http://fszy1.com/api.php/provide/vod/",
      "playUrl": "",
      "searchable": 1,
      "quickSearch": 1
    },
    {
      "key": "无尽资源",
      "name": "无尽🐝资源",
      "type": 1,
      "api": "https://api.wujinapi.com/api.php/provide/vod/",
      "playUrl": "",
      "searchable": 1,
      "quickSearch": 1
    },
    {
      "key": "U酷资源",
      "name": "U酷📭资源",
      "type": 1,
      "api": "https://api.ukuapi.com/api.php/provide/vod/",
      "playUrl": "",
      "searchable": 1,
      "quickSearch": 1
    },
    {
      "key": "天空资源",
      "name": "天空☁️采 1",
      "type": 1,
      "api": "https://api.tiankongapi.com/api.php/provide/vod/",
      "playUrl": "",
      "searchable": 1,
      "quickSearch": 1
    },
    {
      "key": "天空资源2",
      "name": "天空☁️采 2",
      "type": 1,
      "api": "https://m3u8.tiankongapi.com/api.php/provide/vod/",
      "playUrl": "",
      "searchable": 1,
      "quickSearch": 1
    },
    {
      "key": "人人影视",
      "name": "人人👩‍👦影视",
      "type": 1,
      "api": "https://www.rrvipw.com/api.php/provide/vod/",
      "searchable": 1,
      "quickSearch": 1
    },
    {
      "key": "量子资源",
      "name": "量子🥑采集",
      "type": 1,
      "api": "http://cj.lziapi.com/api.php/provide/vod/",
      "searchable": 1,
      "quickSearch": 1
    },
    {
      "key": "新浪资源",
      "name": "新浪🏄🏻采集",
      "type": 1,
      "api": "http://api.xinlangapi.com/xinlangapi.php/provide/vod/",
      "playUrl": "",
      "searchable": 1,
      "quickSearch": 1
    },
    {
      "key": "卧龙资源",
      "name": "卧龙🐉采集",
      "type": 1,
      "api": "https://collect.wolongzyw.com/api.php/provide/vod/",
      "searchable": 1,
      "quickSearch": 1
    },
    {
      "key": "豪华资源",
      "name": "豪华🛫原生",
      "type": 1,
      "api": "https://hhzyapi.com/api.php/provide/vod/",
      "searchable": 1,
      "quickSearch": 1
    }
  ],
  "parses": [
    {
      "name": "解析聚合",
      "type": 3,
      "url": "Demo"
    },
    {
      "name": "Web聚合",
      "type": 3,
      "url": "Web"
    },
    {
      "name": "Json轮询",
      "type": 2,
      "url": "Sequence"
    },
    {
      "name": "Json并发",
      "type": 2,
      "url": "Parallel"
    },
    {
      "name": "欧歌自解",
      "type": 1,
      "url": "http://b.nxog.top:81/jx/?ou=公众号欧歌app&url="
    },
    {
      "name": "巧技",
      "type": 1,
      "url": "https://www.qiaoji8.com/tvbox/neibu.php?url=",
      "ext": {
        "flag": [
          "qq",
          "腾讯",
          "qiyi",
          "爱奇艺",
          "奇艺",
          "youku",
          "优酷",
          "tucheng",
          "sohu",
          "搜狐",
          "letv",
          "乐视",
          "mgtv",
          "芒果",
          "tnmb",
          "seven",
          "yzm",
          "aliyun",
          "RJuMao",
          "bilibili",
          "1905",
          "xinvip",
          "XAL",
          "qiqi",
          "XALS",
          "YuMi-vip"
        ]
      }
    },
    {
      "name": "刚刚走过",
      "type": 1,
      "url": "http://jx.fuqizhishi.com:63/API.php?appkey=feimao&url=",
      "ext": {
        "flag": [
          "qq",
          "腾讯",
          "企鹅",
          "IQiYi",
          "qiyi",
          "爱奇艺",
          "奇艺",
          "youku",
          "YouKu",
          "优酷",
          "sohu",
          "SoHu",
          "搜狐",
          "letv",
          "LeShi",
          "乐视",
          "imgo",
          "mgtv",
          "MangGuo",
          "芒果",
          "SLYS4k",
          "BYGA",
          "luanzi",
          "AliS",
          "dxzy",
          "bilibili",
          "QEYSS",
          "xigua",
          "西瓜视频",
          "腾讯视频",
          "奇艺视频",
          "优酷视频",
          "芒果视频",
          "乐视视频"
        ]
      }
    },
    {
      "name": "多多自解",
      "type": 0,
      "url": "https://xduo.app/api/?url="
    },
    {
      "name": "星辰云解",
      "type": 1,
      "url": "http://xn--wnup5g.xn--z7x900a.love:63/Art1/analysis.php?v=",
      "ext": {
        "flag": [
          "qq",
          "腾讯",
          "企鹅",
          "IQiYi",
          "qiyi",
          "爱奇艺",
          "奇艺",
          "youku",
          "YouKu",
          "优酷",
          "sohu",
          "SoHu",
          "搜狐",
          "letv",
          "LeShi",
          "乐视",
          "imgo",
          "mgtv",
          "MangGuo",
          "芒果",
          "SLYS4k",
          "BYGA",
          "luanzi",
          "AliS",
          "dxzy",
          "bilibili",
          "QEYSS",
          "xigua",
          "西瓜视频",
          "腾讯视频",
          "奇艺视频",
          "优酷视频",
          "芒果视频",
          "乐视视频"
        ]
      }
    },
    {
      "name": "bozrc",
      "type": 0,
      "url": "https://jx.bozrc.com:4433/player/?url=",
      "ext": {
        "flag": [
          "qq",
          "腾讯",
          "qiyi",
          "爱奇艺",
          "奇艺",
          "youku",
          "优酷",
          "mgtv",
          "芒果",
          "letv",
          "乐视",
          "pptv",
          "PPTV",
          "sohu",
          "bilibili",
          "哔哩哔哩",
          "哔哩"
        ],
        "header": {
          "User-Agent": "okhttp/4.1.0"
        }
      }
    },
    {
      "name": "喵喵喵",
      "type": 1,
      "url": "https://vip.blbo.cc:2222/api/?key=948d83dd606496051c016302259e5519&url=",
      "ext": {
        "flag": [
          "qq",
          "腾讯",
          "企鹅",
          "IQiYi",
          "qiyi",
          "爱奇艺",
          "奇艺",
          "youku",
          "YouKu",
          "优酷",
          "sohu",
          "SoHu",
          "搜狐",
          "letv",
          "LeShi",
          "乐视",
          "imgo",
          "mgtv",
          "MangGuo",
          "芒果",
          "SLYS4k",
          "BYGA",
          "luanzi",
          "AliS",
          "dxzy",
          "bilibili",
          "QEYSS",
          "xigua",
          "西瓜视频",
          "腾讯视频",
          "奇艺视频",
          "优酷视频",
          "芒果视频",
          "乐视视频"
        ]
      }
    },
    {
      "name": "255",
      "type": 1,
      "url": "http://47.108.39.237:55/api/jsonindex.php/?key=dp2xOsl8Nws8uFdY0E&url=",
      "ext": {
        "flag": [
          "qq",
          "腾讯",
          "企鹅",
          "IQiYi",
          "qiyi",
          "爱奇艺",
          "奇艺",
          "youku",
          "YouKu",
          "优酷",
          "sohu",
          "SoHu",
          "搜狐",
          "letv",
          "LeShi",
          "乐视",
          "imgo",
          "mgtv",
          "MangGuo",
          "芒果",
          "SLYS4k",
          "BYGA",
          "luanzi",
          "AliS",
          "dxzy",
          "bilibili",
          "QEYSS",
          "xigua",
          "西瓜视频",
          "腾讯视频",
          "奇艺视频",
          "优酷视频",
          "芒果视频",
          "乐视视频"
        ]
      }
    },
    {
      "name": "肥猫官解",
      "type": 1,
      "url": "https://b.umkan.cc/API.php?url=",
      "ext": {
        "flag": [
          "qq",
          "腾讯",
          "企鹅",
          "IQiYi",
          "qiyi",
          "爱奇艺",
          "奇艺",
          "youku",
          "YouKu",
          "优酷",
          "sohu",
          "SoHu",
          "搜狐",
          "letv",
          "LeShi",
          "乐视",
          "imgo",
          "mgtv",
          "MangGuo",
          "芒果",
          "SLYS4k",
          "BYGA",
          "luanzi",
          "AliS",
          "dxzy",
          "bilibili",
          "QEYSS",
          "xigua",
          "西瓜视频",
          "腾讯视频",
          "奇艺视频",
          "优酷视频",
          "芒果视频",
          "乐视视频"
        ]
      }
    },
    {
      "name": "瞄影嗅探",
      "type": 0,
      "url": "http://www.miaoys.cc/vip/?url="
    },
    {
      "name": "keyu",
      "type": 1,
      "url": "http://newjiexi.gotka.top/keyu3.php?url=",
      "ext": {
        "flag": [
          "qq",
          "腾讯",
          "qiyi",
          "爱奇艺",
          "奇艺",
          "youku",
          "优酷",
          "mgtv",
          "芒果",
          "letv",
          "乐视",
          "pptv",
          "PPTV",
          "sohu",
          "bilibili",
          "哔哩哔哩",
          "哔哩"
        ],
        "header": {
          "User-Agent": "okhttp/4.1.0"
        }
      }
    },
    {
      "name": "白茶嗅探",
      "url": "https://jx.bozrc.com:4433/player/?url=",
      "showType": 1
    },
    {
      "name": "普洱嗅探",
      "url": "https://jx.bozrc.com:4433/player/?url=",
      "type": 0,
      "ext": {
        "flag": [
          "qiyi",
          "imgo",
          "爱奇艺",
          "奇艺",
          "qq",
          "腾讯",
          "youku",
          "优酷",
          "pptv",
          "PPTV",
          "letv",
          "乐视",
          "leshi",
          "bilibili",
          "哔哩哔哩",
          "哔哩",
          "mgtv",
          "芒果",
          "sohu",
          "xigua",
          "fun",
          "风行"
        ],
        "header": {
          "User-Agent": "Mozilla/5.0"
        }
      }
    },
    {
      "name": "岩茶嗅探",
      "type": 0,
      "url": "http://www.miaoys.cc/vip/?url="
    },
    {
      "name": "红茶嗅探",
      "type": 0,
      "url": "https://jx.4kdv.com/?url=",
      "ext": {
        "header": {
          "User-Agent": "okhttp/4.1.0"
        },
        "flag": [
          "qq",
          "腾讯",
          "qiyi",
          "爱奇艺",
          "奇艺",
          "youku",
          "优酷",
          "mgtv",
          "芒果",
          "letv",
          "leshi",
          "LS",
          "乐视",
          "pptv",
          "PPTV",
          "sohu",
          "bilibili",
          "哔哩哔哩",
          "哔哩"
        ]
      }
    },
    {
      "name": "手动解析",
      "type": 1,
      "url": "http://json.84jia.com/api/?key=vDI1zsMt67lE1dJBi7&url="
    },
    {
      "name": "小城解析",
      "type": 1,
      "url": "https://api.cygc.xyz/analysis/?url="
    },
    {
      "name": "1号线",
      "type": 1,
      "url": "http://27.124.4.42:4567/jhjson/ceshi.php?url="
    },
    {
      "name": "2号线",
      "type": 0,
      "url": "https://jx.777jiexi.com/player/?url="
    },
    {
      "name": "3号线",
      "type": 0,
      "url": "https://jx.xmflv.com/?url="
    },
    {
      "name": "4号线",
      "type": 0,
      "url": "https://chaxun.truechat365.com/?url=",
      "ext": {
        "flag": [
          "qq",
          "腾讯",
          "qiyi",
          "iqiyi",
          "爱奇艺",
          "奇艺",
          "youku",
          "优酷",
          "mgtv",
          "芒果",
          "letv",
          "乐视",
          "pptv",
          "PPTV",
          "sohu",
          "bilibili",
          "哔哩哔哩",
          "哔哩"
        ]
      }
    },
    {
      "name": "5号线",
      "type": 0,
      "url": "https://jx.bozrc.com:4433/player/?url="
    },
    {
      "name": "6号线",
      "type": 0,
      "url": "https://parse.mw0.cc/?url="
    },
    {
      "name": "7号线",
      "type": 0,
      "url": "https://jx.parwix.com:4433/player/analysis.php?v=",
      "ext": {
        "flag": [
          "qq",
          "腾讯",
          "qiyi",
          "iqiyi",
          "爱奇艺",
          "奇艺",
          "youku",
          "优酷",
          "mgtv",
          "芒果",
          "letv",
          "乐视",
          "pptv",
          "PPTV",
          "sohu",
          "bilibili",
          "哔哩哔哩",
          "哔哩"
        ]
      }
    },
    {
      "name": "8号线",
      "type": 0,
      "url": "https://h5.freejson.xyz/player/?url="
    },
    {
      "name": "9号线",
      "type": 0,
      "url": "https://www.8090g.cn/?url="
    },
    {
      "name": "10号线",
      "type": 1,
      "url": "http://json.youguo520.top/fufeng/?url=",
      "ext": {
        "flag": [
          "qq",
          "腾讯",
          "qiyi",
          "iqiyi",
          "爱奇艺",
          "奇艺",
          "youku",
          "优酷",
          "mgtv",
          "芒果",
          "letv",
          "乐视",
          "pptv",
          "PPTV",
          "sohu",
          "bilibili",
          "哔哩哔哩",
          "哔哩"
        ],
        "header": {
          "User-Agent": "Dart/2.14[dart:io]"
        }
      }
    },
    {
      "name": "11号线",
      "type": 1,
      "url": "https://jx.4kdv.com/?url=",
      "ext": {
        "flag": [
          "qq",
          "腾讯",
          "qiyi",
          "iqiyi",
          "爱奇艺",
          "奇艺",
          "youku",
          "优酷",
          "mgtv",
          "芒果",
          "letv",
          "乐视",
          "pptv",
          "PPTV",
          "sohu",
          "bilibili",
          "哔哩哔哩",
          "哔哩"
        ]
      }
    },
    {
      "name": "12号线",
      "type": 0,
      "url": "https://jx.m3u8.tv/jiexi/?url=",
      "ext": {
        "flag": [
          "qq",
          "腾讯",
          "qiyi",
          "iqiyi",
          "爱奇艺",
          "奇艺",
          "youku",
          "优酷",
          "mgtv",
          "芒果",
          "letv",
          "乐视",
          "pptv",
          "PPTV",
          "sohu",
          "bilibili",
          "哔哩哔哩",
          "哔哩"
        ]
      }
    },
    {
      "name": "13号线",
      "type": 0,
      "url": "https://www.ckmov.com/?url=",
      "ext": {
        "flag": [
          "qq",
          "腾讯",
          "qiyi",
          "iqiyi",
          "爱奇艺",
          "奇艺",
          "youku",
          "优酷",
          "mgtv",
          "芒果",
          "letv",
          "乐视",
          "pptv",
          "PPTV",
          "sohu",
          "bilibili",
          "哔哩哔哩",
          "哔哩"
        ]
      }
    },
    {
      "name": "14号线",
      "type": 1,
      "url": "https://api.jiexi.la/?url=",
      "ext": {
        "flag": [
          "qq",
          "腾讯",
          "qiyi",
          "iqiyi",
          "爱奇艺",
          "奇艺",
          "youku",
          "优酷",
          "mgtv",
          "芒果",
          "letv",
          "乐视",
          "pptv",
          "PPTV",
          "sohu",
          "bilibili",
          "哔哩哔哩",
          "哔哩"
        ]
      }
    },
    {
      "name": "15号线",
      "type": 0,
      "url": "https://www.nxflv.com/?url="
    },
    {
      "name": "16号线",
      "type": 0,
      "url": "https://jx.jsonplayer.com/player/?url="
    },
    {
      "name": "17号线",
      "type": 0,
      "url": "https://www.yemu.xyz/?url=",
      "ext": {
        "flag": [
          "qq",
          "腾讯",
          "qiyi",
          "iqiyi",
          "爱奇艺",
          "奇艺",
          "youku",
          "优酷",
          "mgtv",
          "芒果",
          "letv",
          "乐视",
          "pptv",
          "PPTV",
          "sohu",
          "bilibili",
          "哔哩哔哩",
          "哔哩"
        ]
      }
    },
    {
      "name": "18号线",
      "type": 1,
      "url": "https://www.itvbox.cc/bhc.php?url=",
      "ext": {
        "flag": [
          "qq",
          "腾讯",
          "企鹅",
          "IQiYi",
          "qiyi",
          "爱奇艺",
          "奇艺",
          "youku",
          "YouKu",
          "优酷",
          "sohu",
          "SoHu",
          "搜狐",
          "letv",
          "LeShi",
          "乐视",
          "imgo",
          "mgtv",
          "MangGuo",
          "芒果",
          "SLYS4k",
          "BYGA",
          "luanzi",
          "AliS",
          "dxzy",
          "bilibili",
          "QEYSS",
          "xigua",
          "西瓜视频",
          "腾讯视频",
          "奇艺视频",
          "优酷视频",
          "芒果视频",
          "乐视视频"
        ]
      }
    },
    {
      "name": "19号线",
      "type": 0,
      "url": "https://jx.zhanlangbu.com/?url=",
      "ext": {
        "header": {
          "User-Agent": "okhttp/4.1.0"
        },
        "flag": [
          "qq",
          "腾讯",
          "qiyi",
          "爱奇艺",
          "奇艺",
          "youku",
          "优酷",
          "mgtv",
          "芒果",
          "letv",
          "乐视",
          "pptv",
          "PPTV",
          "sohu",
          "bilibili",
          "哔哩哔哩",
          "哔哩"
        ]
      }
    },
    {
      "name": "20号线",
      "type": 1,
      "url": "http://lanlan.ckflv.cn/?url=",
      "ext": {
        "flag": [
          "qiyi",
          "qq",
          "letv",
          "sohu",
          "youku",
          "mgtv",
          "bilibili",
          "wasu",
          "xigua",
          "1905"
        ]
      }
    },
    {
      "name": "21号线",
      "type": 0,
      "url": "https://okjx.cc/?url="
    },
    {
      "name": "22号线",
      "type": 0,
      "url": "http://jx.ivito.cn/?url="
    },
    {
      "name": "23号线",
      "type": 0,
      "url": "https://dm.xbqgx.com/?url="
    },
    {
      "name": "24号线",
      "type": 0,
      "url": "https://vip.bljiex.com/?v="
    },
    {
      "name": "25号线",
      "type": 0,
      "url": "http://api.wpsseo.cn/?v="
    },
    {
      "name": "26号线",
      "type": 0,
      "url": "http://www.miaoys.cc/vip/?url="
    }
  ],
  "flags": [
    "youku",
    "qq",
    "QQ",
    "iqiyi",
    "qiyi",
    "letv",
    "sohu",
    "tudou",
    "pptv",
    "PPTV",
    "mgtv",
    "ltnb",
    "rx",
    "SLYS4k",
    "BYGA",
    "BYGB",
    "luanzi",
    "dxzy",
    "QEYSS",
    "aliyun",
    "AliS",
    "122",
    "chuangying",
    "CL4K",
    "xfyun",
    "wuduzy",
    "wasu",
    "bilibili",
    "renrenmi",
    "xmm",
    "xigua",
    "m1905",
    "funshion",
    "优酷",
    "芒果",
    "腾讯",
    "爱奇艺",
    "奇艺",
    "哔哩哔哩",
    "哔哩",
    "西瓜视频",
    "腾讯视频",
    "奇艺视频",
    "优酷视频",
    "芒果视频",
    "乐视视频"
  ],
  "doh": [
    {
      "name": "Google",
      "url": "https://dns.google/dns-query",
      "ips": [
        "8.8.4.4",
        "8.8.8.8"
      ]
    },
    {
      "name": "Cloudflare",
      "url": "https://cloudflare-dns.com/dns-query",
      "ips": [
        "1.1.1.1",
        "1.0.0.1",
        "2606:4700:4700::1111",
        "2606:4700:4700::1001"
      ]
    },
    {
      "name": "AdGuard",
      "url": "https://dns.adguard.com/dns-query",
      "ips": [
        "94.140.14.140",
        "94.140.14.141"
      ]
    },
    {
      "name": "DNSWatch",
      "url": "https://resolver2.dns.watch/dns-query",
      "ips": [
        "84.200.69.80",
        "84.200.70.40"
      ]
    },
    {
      "name": "Quad9",
      "url": "https://dns.quad9.net/dns-quer",
      "ips": [
        "9.9.9.9",
        "149.112.112.112"
      ]
    }
  ],
  "rules": [
    {
      "name": "wowo",
      "hosts": [
        "vip.123pan.cn",
        "rescdn.wuxivlog.cn"
      ],
      "regex": [
        "#EXT-X-DISCONTINUITY\\r*\\n*#EXTINF:20.840000,[\\s\\S]*?#EXT-X-DISCONTINUITY",
        "#EXT-X-DISCONTINUITY\\r*\\n*#EXTINF:10.120000,[\\s\\S]*?#EXT-X-DISCONTINUITY",
        "#EXTINF.*?\\s+.*?1o.*?\\.ts\\s+"
      ]
    },
    {
      "name": "hwk",
      "hosts": [
        "haiwaikan"
      ],
      "regex": [
        "10.0099",
        "10.3333",
        "16.0599",
        "8.1748",
        "10.85"
      ]
    },
    {
      "name": "yqk",
      "hosts": [
        "yqk88"
      ],
      "regex": [
        "18.4",
        "15.1666"
      ]
    },
    {
      "name": "sn",
      "hosts": [
        "suonizy"
      ],
      "regex": [
        "15.1666",
        "15.2666"
      ]
    },
    {
      "name": "bf",
      "hosts": [
        "bfzy"
      ],
      "regex": [
        "#EXT-X-DISCONTINUITY\\r*\\n*#EXTINF:3,[\\s\\S]*?#EXT-X-DISCONTINUITY"
      ]
    },
    {
      "name": "xx",
      "hosts": [
        "aws.ulivetv.net"
      ],
      "regex": [
        "#EXT-X-DISCONTINUITY\\r*\\n*#EXTINF:8,[\\s\\S]*?#EXT-X-DISCONTINUITY"
      ]
    },
    {
      "name": "lz",
      "hosts": [
        "vip.lz",
        "hd.lz",
        "v.cdnlz1",
        "v.cdnlz"
      ],
      "regex": [
        "18.5333"
      ]
    },
    {
      "name": "ff",
      "hosts": [
        "vip.ffzy",
        "hd.ffzy"
      ],
      "regex": [
        "25.0666"
      ]
    },
    {
      "name": "hs",
      "hosts": [
        "huoshan.com"
      ],
      "regex": [
        "item_id="
      ]
    },
    {
      "name": "dy",
      "hosts": [
        "douyin.com"
      ],
      "regex": [
        "is_play_url="
      ]
    },
    {
      "name": "nm",
      "hosts": [
        "toutiaovod.com"
      ],
      "regex": [
        "video/tos/cn"
      ]
    },
    {
      "name": "cl",
      "hosts": [
        "magnet"
      ],
      "regex": [
        "最新",
        "直播",
        "更新"
      ]
    }
  ],
  "ads": [
    "mimg.0c1q0l.cn",
    "www.googletagmanager.com",
    "www.google-analytics.com",
    "mc.usihnbcq.cn",
    "mg.g1mm3d.cn",
    "mscs.svaeuzh.cn",
    "cnzz.hhttm.top",
    "tp.vinuxhome.com",
    "cnzz.mmstat.com",
    "www.baihuillq.com",
    "s23.cnzz.com",
    "z3.cnzz.com",
    "c.cnzz.com",
    "stj.v1vo.top",
    "z12.cnzz.com",
    "img.mosflower.cn",
    "tips.gamevvip.com",
    "ehwe.yhdtns.com",
    "xdn.cqqc3.com",
    "www.jixunkyy.cn",
    "sp.chemacid.cn",
    "hm.baidu.com",
    "s9.cnzz.com",
    "z6.cnzz.com",
    "um.cavuc.com",
    "mav.mavuz.com",
    "wofwk.aoidf3.com",
    "z5.cnzz.com",
    "xc.hubeijieshikj.cn",
    "tj.tianwenhu.com",
    "xg.gars57.cn",
    "k.jinxiuzhilv.com",
    "cdn.bootcss.com",
    "ppl.xunzhuo123.com",
    "xomk.jiangjunmh.top",
    "img.xunzhuo123.com",
    "z1.cnzz.com",
    "s13.cnzz.com",
    "xg.huataisangao.cn",
    "z7.cnzz.com",
    "xg.huataisangao.cn",
    "z2.cnzz.com",
    "s96.cnzz.com",
    "q11.cnzz.com",
    "thy.dacedsfa.cn",
    "xg.whsbpw.cn",
    "s19.cnzz.com",
    "z8.cnzz.com",
    "s4.cnzz.com",
    "f5w.as12df.top",
    "ae01.alicdn.com",
    "www.92424.cn",
    "k.wudejia.com",
    "vivovip.mmszxc.top",
    "qiu.xixiqiu.com",
    "cdnjs.hnfenxun.com",
    "cms.qdwght.com"
  ]
}
